%define major 0
%define libname lib%name%major

Name: 		rrdtool
Summary: 	RRDtool - round robin database
Version: 	1.0.33
Release: 	7mdk
License: 	GPL
Group: 		Networking/Other
Source: 	http://ee-staff.ethz.ch/~oetiker/webtools/rrdtool/pub/%{name}-%{version}.tar.bz2
Patch:		rrdtool.doc.patch.bz2
Buildroot: 	%{_tmppath}rrdtool-root
Url: 		http://ee-staff.ethz.ch/~oetiker/webtools/rrdtool/
Requires: 	libpng >= 1.0.3, zlib >= 1.1.3
BuildRequires: 	libpng-devel >= 1.0.3, perl-devel libgd-devel

%description
RRD is the Acronym for Round Robin Database. RRD is a system to store and 
display time-series data (i.e. network bandwidth, machine-room temperature, 
server load average). It stores the data in a very compact way that will not 
expand over time, and it presents useful graphs by processing the data to 
enforce a certain data density. It can be used either via simple wrapper 
scripts (from shell or Perl) or via frontends that poll network devices and 
put a friendly user interface on it.

%package -n %libname

Summary: RRDtool - round robin database static libraries and headers
Group: System/Libraries

%description -n %libname
RRD is the Acronym for Round Robin Database. RRD is a system to store and
display time-series data (i.e. network bandwidth, machine-room temperature,
server load average). This package allow you to use directly this library


%package -n %libname-devel
Summary: RRDtool - round robin database static libraries and headers
Group: Development/Other
Requires: %libname = %version
Requires: libgd-devel
Provides: librrdtool-devel
Obsoletes: rrdtool-devel

%description -n %libname-devel
RRD is the Acronym for Round Robin Database. RRD is a system to store and
display time-series data (i.e. network bandwidth, machine-room temperature,
server load average). This package allow you to use directly this library.


%prep
%setup -q
%patch0 -p1 -b .doc

%build
#CFLAGS="$RPM_OPT_FLAGS" LIBS="-lm -lz -lpng"
OPT_FLAGS=`echo $RPM_OPT_FLAGS | sed -e "s/-ffast-math//"`
CFLAGS="$OPT_FLAGS" \
%configure --enable-shared
%make

# @perl@ and @PERL@ correction
find . -type f -exec /usr/bin/perl -e 's/^#! \@perl\@/#!\/usr\/bin\/perl/gi' -p -i \{\} \;
find . -name "*.pl" -exec perl -e 's;\015;;gi' -p -i \{\} \;

%INSTALL
rm -rf $RPM_BUILD_ROOT
%makeinstall

eval `perl '-V:installarchlib'`
install -d $RPM_BUILD_ROOT/$installarchlib
mv -f $RPM_BUILD_ROOT/usr/lib/perl/* $RPM_BUILD_ROOT/$installarchlib

# now create include and files
install -d $RPM_BUILD_ROOT/usr/include
install -m644 src/rrd*.h $RPM_BUILD_ROOT/usr/include
install -m755 contrib/log2rrd/log2rrd.pl $RPM_BUILD_ROOT/usr/bin

#remove .in/.am files
find  . -type f -name "*.in" -exec rm -f \{\} \;
find  . -type f -name "*.am" -exec rm -f \{\} \;
#find $RPM_BUILD_ROOT/$installarchlib -type f -print | sed "s@^$RPM_BUILD_ROOT@@g" > %{name}-%{version}-file

#moving the docs in the right place
mkdir -p %{_tmppath}rrdtool-root/%{_docdir}/%{name}-%{version}/{pod,txt}
cp -a %{_tmppath}rrdtool-root/%{_docdir}/*txt %{_tmppath}rrdtool-root/%{_docdir}/%{name}-%{version}/txt
cp -a %{_tmppath}rrdtool-root/%{_docdir}/*pod %{_tmppath}rrdtool-root/%{_docdir}/%{name}-%{version}/pod
cp -a %{_tmppath}rrdtool-root/%{_docdir}/html %{_tmppath}rrdtool-root/%{_docdir}/%{name}-%{version}
cp -a %{_tmppath}rrdtool-root/%{_prefix}/examples/* %{_tmppath}rrdtool-root/%{_docdir}/%{name}-%{version}
cp -a %{_tmppath}rrdtool-root/%{_prefix}/contrib/* %{_tmppath}rrdtool-root/%{_docdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig
 
%files 
%defattr(0755,root,root)
%{_bindir}/*
%_libdir/perl*/*/%{_arch}-linux/*
%doc %{_docdir}/%{name}*/*
%attr(0644,root,root) %{_mandir}/man1/*

%files -n %libname
%defattr(0755,root,root)
%doc COPYING
%_libdir/*.so.*

%files -n %libname-devel
%defattr (-,root,root)
%doc COPYING
%attr(0644,root,root) %{_libdir}/*.a
%attr(0644,root,root) %{_includedir}/*.h
%_libdir/*.so

%changelog
* Mon Jul 30 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.0.33-7mdk
- obsoletes rrdtool-devel

* Sun Jul 29 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.0.33-6mdk
- split
- do not provide duplicate doc files

* Mon Jul 23 2001 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.33-5mdk
- Fix build on ia64 (use %%configure, %%make)
- Don't use -ffast-math since we need IEEE behavior for FP arithmetics

* Thu Jul 12 2001 Stefan van der Eijk <stefan@eijk.nu> 1.0.33-4mdk
- BuildRequires:	perl-devel
- Removed BuildRequires:	zlib-devel

* Wed Apr 25 2001 Vincent Saugey <vince@mandrakesoft.com> 1.0.33-3mdk
- Change filelist (go pixel now you can change perl version as often you want)
- Fix some buildrequire and require for devel package

* Mon Apr  9 2001 Vincent Saugey <vince@mandrakesoft.com> 1.0.33-2mdk
- Remove i386 hardcode link for other arch build (thanks to Stefan van der Eijk <stefan@eijk.nu>)

* Mon Mar  5 2001 Vincent Saugey <vince@mandrakesoft.com> 1.0.33-1mdk
- Up to 1.0.33

* Fri Jan 26 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.0.28-2mdk
- rebuild

* Fri Oct 06 2000 Florin Grad <florin@mandrakesoft.com> 1.0.28-1mdk
- mandrake adaptions

* Thu Apr 06 2000 Henri Gomez <hgomez@slib.fr>
- 1.0.16
- added missing rrd_format.h back into the distro .. grrrr
- new patche for RPM package to correct problems in building with
  shared libs for tcl/perl-shared <hgomez@slib.fr>

* Thu Apr 06 2000 Henri Gomez <hgomez@slib.fr>
- 1.0.15
- alloc error in RPN code of rrd_graph found ... and fixed
- Made tcl install optional as suggested by E. Lagache
- TCL Build Fix
- configure.in had wrong error message for nan==nan

* Wed Apr 05 2000 Henri Gomez <hgomez@slib.fr>
- 1.0.14
- added function prototypes to rrd_graph and rrd_restore
- made perl build more robust
- clickgraph contrib ... interactive data explorer ...
- fixes for TCL module compilation
- rrdgraph dead code ...
- fetch pic flag from libtool ..
- TCL bindings for rrdtool
- rrd_update should not change its argv string ... this can be
  fatal for external processes calling it ..
- made sure the CDEF evaluator does not ever try to compare against NaN
  added new CDEF operators MIN,MAX,LIMIT
- examples/pipe-demo.pl.in was still using %f instead of %lf
- added some check to free calls in rrdcgi so that we don't free anything
  which is already NULL ... freebsd hates this ...
- Added RRD:GETENV to Pass 1 of rrdcgi
- added casting to floating point routines where needed. (get 64bit working)
- added --alt-autoscale-max to autoscale only on the max value.
- contributed php3 bindings contrib/php3
- Removed PL_na reference from RRD.xs ... it does now work with Perl 5.6
- added many more warning switches to rrdtool
- out of bounds error in OP_PREV processing (rrd_graph.c) fixed
- hpux uses RRDs.sl instead of RRDs.so ... I have changed the Makefile to handle this.

* Tue Feb 15 2000 Henri Gomez <gomez@slib.fr>
- 1.0.13
- restored rrd_tool.h ... got zeroed during the last distro process ...

* Mon Feb 14 2000 Henri Gomez <gomez@slib.fr>
- 1.0.12
- contributed rrdfetchnames for getting names of an rrd
- more documentation on COUNTER/ABSOLUTE/GAUGE ....
- added try time to build process
- NT thinks 0 > NaN || 0 < NaN == ture ... fied rrd_update.c accordingly
- added FPMASK and SIG8 fixes to rrd_cgi ... will prevent it from sig FPE crashes
  on FreeBSD and others ...
- Improved \g by giving it the ability to squash empty %s
  return values

* Mon Feb  7 2000 Henri Gomez <gomez@slib.fr>
- 1.0.11
- added formating marker '\g' to rrd_graph to remove
  the spacing between two items printed into the graph
- make sure rrd_graph --lazy does not get confused by broken
  images.
- applie range check to values supplied to update and not
  to pdp values
- fixed rpn parser to allow variable names like nantuket
- another example for rrdcgi manpage
- contrib script to kill spikes from rrd dump
- fixed 'fetch' example in the RRDs manpage
- contributed add_ds a perl script for adding new ds es to existing rrds
- contributed rrdlastds script ... pulling current values from an rrd
- --goodfor and --refresh did not work for rrdcgi as the arguments never got
  passed on. Introduced <RRD::GOODFOR x> command in rrdcgi language to
  fix this problem
- using - as input did not work for rrd_restore ...
- pass name of the c compile to the perl build along with the CFLAGS
- Removed special provisions for HPUX from rrd_format ... this might actually help HPUX to get
  the NaN problems fixed
- in rrd_graph the data consolidation routine was initializing the with 0 instead of DNAN
  this led to rather log MIN values




* Fri Jan  7 2000 Henri Gomez <gomez@slib.fr>
- 1.0.10-0
- The Update Bug solved ... rrdtool was in violation of the ANSI
  C standard (7.9.5.3) by issuing a fwrite immediately after an
  fread without fseek inbetween
- added <RRD::TIME::NOW function to rrdcgi
- added documentation for <RRD::SETENV to rrdcgi.pod
- better explanation of lower and upper limit for rrdgraph
- fixed PRINT commands in example scripts
- to test -fPIC actually RUN a program ..


* Tue Dec 28 1999 Henri Gomez <gomez@slib.fr>
- 1.0.9-0
- use -fPIC when compiling and if the compiuler does not mind ... some platforms
  have issues with the RRDs package otherwhise ...
- improved format check in rrd_graph
- rrdproc tool ... run linux interface stats straight from proc into rrdtool


* Tue Nov 30 1999 Henri Gomez <gomez@slib.fr>
- 1.0.8-2
- fixed user access to documentations (Mark@Knutsen@nasd.com)
  
* Thu Nov 25 1999 Henri Gomez <gomez@slib.fr>
- 1.0.8

* Wed Nov 10 1999 Henri Gomez <gomez@slib.fr>
- 1.0.7-3
- use now shared lib png and zlib
- allways two different packages for RH5.x and RH6.x
  since we got Perl loader error (undefined symbol: Perl_markstack_ptr)

* Wed Oct 27 1999 Henri Gomez <gomez@slib.fr>
- 1.0.7-2
- latest fixes from beta 19991024

* Mon Aug 30 1999 Henri Gomez <gomez@slib.fr>
- 1.0.7-1
- 1999/08/27 -- bdowling@noc.faxnet.net
  some strncpy were lacking the x[LAST]='\0'; safeguard ...
- 1999/08/25 -- Tobi
  Samples were shifted one interval into the future by rrdgraph ...
  check minmax.pl in the examples directory ...
- 1999/08/25 -- Tobi
  Updated rrdtools manpage to point to all the newer functions in the
  package which have been left out before ...
- 1999/08/25 -- Tobi
  RRDs.xs: changed newRV_inc to newRV_noinc in a few places (graph and
  fetch) otherwhise I'm afraid we got the refference count wrong and perl
  was leaking memmory like a sive ...
- 1999/08/24 -- Tobi
  added -lm to perl Makefile.PL just to be sure it is there when
  perl builds its shared module ...
+ 1999/08/23 -- Tobi
  added test for "-q float=rndsngl" todo proper IEEE math on AIX 4.2.0 with
  IBM xlC
+ 1999/08/23 -- Tobi
  added new stripes example ...
- 1999/08/23 -- Tobi
  fixed spacing adjustment with '\s' instead of 1.5 it now adds 0.5
  line-hights ...
- 1999/08/20 -- Tobi + Jesper Skriver <jesper@skriver.dk>
  found and fixed buffer overflow in legend processing when dealing with
  large numbers
+ 1999/08/20 -- Philippe.Simonet@swisscom.com
  range-check option for rrdrestore
- 1999/08/19 -- Tobi
  replaced micro by u in SI prefix array
- 1999/08/19 -- Tobi
  better floating point veryfication in IEEE test ... missed SIGFPE
  condition in freeBSD.
- 1999/08/17 -- Tobi reacting to a bug report from W. James Showalter, Jr.
  made time parser work as expected with dates of the form august 20 1999 as
  well as dates of the form 8/17/1999 and 17.8.1999
- 1999/08/17 -- Blair Zajac <bzajac@geostaff.com>
  propagate CFLAGS from configure to PERL module compilation
- 1999/08/17 -- Ragnar Kjrstad <mrtg@ragnark.vestdata.no>
  fixed perl path in log2rrd contrib script
- 1999/08/16 -- Philippe.Simonet@swisscom.com
  DINF and friends for NT

* Mon Aug 30 1999 Henri Gomez <gomez@slib.fr>
- 1.0.6-3
- move perl modules in installdir.
- move log2rrd to /usr/bin and added logall2rrd.

* Fri Aug 26 1999 Henri Gomez <gomez@slib.fr>
- 1.0.6-2
- applied latest 1.0.6 patches
- added more examples

* Wed Aug 25 1999 Henri Gomez <gomez@slib.fr>
- 1.0.6-1 
- Corrections in RPM spec file (install prefix, strip, clean-up, ...)
- Use shared library compile
- Add a devel package with static library and headers
- RH5.2 and RH6.0 perl ld.so is different, so there will be for now 
  two set of rrdtool (5.2 for RH5.2 and 6.0 for RH6.0).

* Sat Aug 14 1999 Tobi
- Released 1.0.6
- Fixed install location of html pages ... they go to ../html now ...
- Fixed CDEF parser ... it should now be fine with a,-1,*
- Updated rrdgraph manpage to be in line with the changes I made to alexs INF patch when integrating it ... sorry alex

* Fri Aug 13 1999 Tobi
- Released 1.0.5
- Tested portability of 1.0.5 release on Solaris, Linux and FreeBSD
- changed IEEE tests ... now they tell you what fails and they are less picky
  
* Thu Aug 12 1999 Alex + Tobi
- added INF and NEGINF operator to CDEF rpn functions. This pushes an positive or negative infinite number onto the stack respectively ... when graphing, they get replaced by a value equivalent to the upper or lower boundery of the graphing area ...

* Tue Aug 10 1999 Tobi
- Integrated Blairs autoconf ... added dist and install support

* Mon Aug 09 1999 Blair
- Added automake/libtool support ... with --enable-shared you can now get a shared library version of rrdtool ... 

* Fri Aug 06 1999 Tobi
- Released 1.0.4
- made rrdcgi parser more robust to invalid inputfiles.

* Wed Aug 04 1999 Tobi + Philippe
- in rrd_cgi I was freeing cgi arguments. Fixed ...
 
* Tue Aug 03 1999 Tobi
- added % operator to CDEF rpn functions ...  this should allow for some funky operations in connection with TIME
- added --enable-site-perl option to configure for people who want the RRD{s,p} perl modules installed in their site-perl directories
- do not try to compile perl modules if no perl is found

* Mon Aug 03 1999 Hermann Hueni <hueni@glue.ch>
- drop "rb" open mode for non win32 architectures

* Fri Jul 30 1999 Tobi
- Released 1.0.3
- Fixed default start time in rrd_create. 
- Start time of new rrds was set to 1970.01.01 causing VERY long update times for the initial update ... 

* Fri Jul 30 1999 Tobias Weingartner <weingart@cs.ualberta.ca>
- spell fixes for documentation

* Wed Jul 28 1999 Tobi
- Released 1.0.2
- Added configure checks for reallocs ability to deal with NULL pointers this helps compiling on SunOS
- Added check for memmove availablility. Replace with bcopy if necessary.
- Added better IEEE tests ...
- Added Dynamic stack allocation to RPN in CDEF
- fixed about 1000 memmory leaks in rrdcg. Wonder it was working before ...

* Tue Jul 27 1999 Tobi & Tobias Weingartner <weingart@cs.ualberta.ca>
- Added DUP, POP and EXC operator for CDEF.

* Tue Jul 27 1999 Sasha Mikheev <sasha@aldan.netvision.net.il>
- alternate grid and scaling functions for rrdgraph. Use --alt-y-grid and --alt-autoscale to activate.

* Mon Jul 26 1999 Tamas Kovacshazy <khazy@mit.bme.hu>
- improved vc++ project files for rrdtool

* Mon Jul 26 1999 Tobi
- added ranlib to cgi png z and gd library ...

* Fri Jul 23 1999 Tobi
- released 1.0.1
- plugged memory leek in parsetime.c
- fixed serious error in data_reduce function. This was causing the graph to intermittently disappear. It was also displaying inaccurate values for spiky data, if this data had to be reduced due to the width of the image as compared to the resolution of the RRA data.  (does this fix the errors seen by cricket users ????)

* Thu Jul 22 1999 Seth Lepzelter <slepzelt@cs.oberlin.edu>
- DEC needs -mieee to do proper IEEE math ... added configure test

* Thu Jul 22 1999 Philippe.Simonet@swisscom.com
- vc++ project files for rrdtool

* Mon Jul 19 1999 Alex van den Bogaerdt <alex@ergens.op.Het.Net>
- rrd file icon contributed

* Mon Jul 19 1999 Tobi
- added strcasecmp function into parsetime as this is not available on all systems.

* Thu Jul 15 1999 Tobi
- Released first 'stable' version of RRDtool after almost 18 Month of 'development'
